Subject: [secdir] Secdir last call review of draft-ietf-core-resource-directory-24

From: Adam Montville via Datatracker <[email-masked]>
Date: Tue, 24 Mar 2020 08:46:31 -0700

Reviewer: Adam Montville
Review result: Ready

I generally feel that this draft is ready. I do think the Security ADs should
pay particular attention to some of the security considerations. Most notable
is Section 8.3, Denial of Service Attacks. This section describes how a
Resource Directory (RD) “…can unknowingly become part of a DDoS amplification
attack,” but doesn’t provide any real mitigation or normative language toward
that end.

It is clear from the draft that the preferred deployment of these capabilities
is to leverage TLS or DTLS, but doing so is not mandatory per the draft. There
is an assumption, also, that clients are provided a certificate at the time of
manufacture, which can then be used by the RD as the endpoint’s name.

It seems that, with use of TLS/DTLS, and with certain device characteristics in
place, things are pretty well buttoned up. Without these assumptions, however,
it seems that the use of an RD could be problematic in more open deployments.
Then again, I’m not operating in the space of constrained devices day-to-day.